@import url('https://fonts.googleapis.com/css2?family=Sora:wght@400;700&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@400;700;900&display=swap');

* {
    box-sizing: border-box;
    font-family: 'Sora', sans-serif;

}

body {
    background-color: #f6f8fc;
    overflow-x: hidden;
}

::-webkit-scrollbar {
    width: 10px;
    background: #f4f4f4d5;
}

::-webkit-scrollbar-thumb {
    background: #ED5564;
    border-radius: 2em;
}

::-webkit-scrollbar-thumb:hover {
    background: #ed5564cf;
}

.header {
    display: flex;
    align-items: center;
    margin: 1rem;
}

.header img {
    width: 5rem;
    height: 80px;
    margin-right: 1rem;
}

.header .info-button {
    display: flex;
}

.container {
    padding: 1rem;
    background-color: #fff;
    height: 100vh;
    width: 100vw;
}

@media screen and (min-width: 992px) {
    .container {
        max-width: 992px;
        height: auto;
        margin: 1rem auto;
        border-radius: 1rem;
    }
}

.container h1 {
    margin: 0;
    position: relative;
    letter-spacing: 0, 05em;
    font-family: 'Roboto Condensed', sans-serif;
    font-weight: 900;
}

.container h1 span {
    color: #555;
    transition: 0.25s;
}

.container h1:hover span {
    color: rgb(255, 30, 0);
    transition: 0.25s;
    text-shadow: 0 0 1px rgb(255, 30, 0),
        0 0 2px rgb(255, 30, 0),
        0 0 3px rgb(255, 30, 0);
}

.pokemons {
    display: grid;
    grid-template-columns: 1fr;
    list-style: none;
    padding: 0;
    margin: 0;
}

.pokemon {
    display: flex;
    flex-direction: column;
    margin: .5rem;
    padding: 2rem 1rem;
    color: #fff;
    border-radius: 1rem;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.6);
    cursor: pointer;
}

.pokemon:hover {
    transform: scale(1.03);
    box-shadow: 0 0 8px rgba(0, 0, 0, 0.6);
    transition: all 0.3s ease-in;
}

.pokemon .number {
    text-align: right;
    color: black;
    opacity: .3;
    font-size: .625rem;
}

.pokemon .name {
    color: #f4f4f4;
    margin-bottom: .25rem;
}

.pokemon .types {
    margin: 0;
    padding: 0;
    list-style: none;
}

.pokemon .detail .types .type {
    width: 100%;
    padding: .25rem .5rem;
    margin: .25rem 0;
    font-size: .625rem;
    text-align: center;
    background-color: #61e1ea;
    filter: brightness(1.1);
    border-radius: 1rem;
}

.detail {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.pokemon .detail img {
    max-width: 100%;
    height: 70px;
    filter: drop-shadow(2px 4px 6px #121212);
}

#btnCarregarMais {
    background-color: #6c79db;
    color: #f4f4f4;
    border: none;
    padding: 1rem 1rem;
    border-radius: 5rem;
    cursor: pointer;
    margin: 2rem 0;
}

#btnCarregarMais:hover {
    opacity: 0.7;
}

.btn-top {
    background-color: #6c79db;
    color: #f4f4f4;
    border: none;
    padding: 1rem 1rem;
    border-radius: 5rem;
    cursor: pointer;
    margin: 2rem 0;
    float: right;
    transition: all ease;
}

.btn-top:hover {
    opacity: 0.8;
}

.stats {
    margin-top: 1rem;
}

.stat-bar {
    display: flex;
    align-items: center;
    margin-bottom: 0.5rem;
}

.stat-bar span {
    flex: 0 0 250px;
    font-weight: bold;
    margin: 1rem;
}

.stat-value {
    height: 20px;
    background-color: #fff;
    border-radius: 0.25rem;
    padding: 8px;
    overflow: hidden;
}

.status {
    width: 100%;
    display: flex;
    flex-direction: column;
    padding: 16px;
    border-radius: 8px;
    gap: 10px;
    margin: 18px 0;
    background-color: #55555519;
}

.status-element {
    display: flex;
    align-items: center;
    justify-content: space-between;
}


.barra {
    width: 100%;
    height: 20px;
    background-color: #ea6d61;
    border-radius: 5px;
    color: #f4f4f4;
    margin-left: 8px;
}

.modal .types:first-child {
    margin-right: 1rem;
}

.modal img {
    height: 100px;
    width: 100%;
    filter: drop-shadow(2px 4px 6px #121212);
}

.modal .total {
    background-color: #ea6d61;
    width: fit-content;
    padding: 8px;
    border-radius: 8px;
    align-items: end;
}

@media screen and (min-width: 380px) {
    .pokemons {
        grid-template-columns: 1fr 1fr;
    }
}

@media screen and (min-width: 576px) {
    .pokemons {
        grid-template-columns: 1fr 1fr 1fr;
    }
}

@media screen and (min-width: 992px) {
    .pokemons {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}